import { jest } from '@jest/globals';

jest.mock('@brojs/cli', () => ({
  getConfigValue: jest.fn(() => '/api'),
  getFeatures: jest.fn(() => ({
    ['order-view-status-polling']: { value: '3000' }
  })),
  getNavigationValue: jest.fn((navKey: string) => {
    switch (navKey) {
      case 'dry-wash.main':
        return '/dry-wash';
      case 'dry-wash.order.create':
        return '/order';
      case 'dry-wash.order.view':
        return '/order/:orderId';
    }
  }),
}));
